/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "${_redButton}", "click", function(sym, e) {
         var current = sym.getVariable("current");
         if (current != "") {
            sym.getSymbol(current).play("out");
            sym.getSymbol("red").play("in");
         }
         else {
            sym.getSymbol("red").play("shortIn");
         }
         sym.setVariable("current", "red");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.setVariable("current","");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_blueButton}", "click", function(sym, e) {
         var current = sym.getVariable("current");
         if (current != "") {
            sym.getSymbol(current).play("out");
            sym.getSymbol("blue").play("in");
         }
         else {
            sym.getSymbol("blue").play("shortIn");
         }
         sym.setVariable("current", "blue");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_greenButton}", "click", function(sym, e) {
         var current = sym.getVariable("current");
         if (current != "") {
            sym.getSymbol(current).play("out");
            sym.getSymbol("green").play("in");
         }
         else {
            sym.getSymbol("green").play("shortIn");
         }
         sym.setVariable("current", "green");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

//=========================================================

   //Edge symbol: 'red'
   (function(symbolName) {

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("red");
   //Edge symbol end:'red'

//=========================================================

   //Edge symbol: 'red'
   (function(symbolName) {

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("blue");
   //Edge symbol end:'blue'

//=========================================================

   //Edge symbol: 'red'
   (function(symbolName) {

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("green");
   //Edge symbol end:'green'

})(jQuery, AdobeEdge, "EDGE-269644290");